# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-true
Version:	1.0.2
Release:	8.%{__distinit}%{__distvers}
Summary:	Automatically return a true value when a file is required
License:	Artistic-2.0
URL:		https://metacpan.org/release/true
Source0:	http://cpan.metacpan.org/authors/id/C/CH/CHOCOLATE/true-v%{version}.tar.gz
# ============= Module Build ====================
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::Depends) >= 0.304
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Copy)
# ============= Module Runtime ==================
BuildRequires:	perl(B::Hooks::OP::Annotation) >= 0.44
BuildRequires:	perl(B::Hooks::OP::Check) >= 0.22
BuildRequires:	perl(Devel::StackTrace) >= 2.03
BuildRequires:	perl(strict)
BuildRequires:	perl(version) >= 0.77
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# ============= Test Suite ======================
BuildRequires:	perl(base)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Function::Parameters) >= 2.001003
BuildRequires:	perl(lib)
BuildRequires:	perl(Moo) >= 2.003004
BuildRequires:	perl(Test::More)
# ============= Module Dependencies =============
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Perl's require built-in (and its use wrapper) requires the files it loads to
return a true value. This is usually accomplished by placing a single

	1;

statement at the end of included scripts or modules. It's not onerous to add
but it's a speed bump on the Perl novice's road to enlightenment. In addition,
it appears to be a non-sequitur to the uninitiated, leading some to attempt to
mitigate its appearance with a comment:

	1; # keep require happy
or:
	1; # Do not remove this line
or even:
	1; # Must end with this, because Perl is bogus.

This module packages this "return true" behavior so that it need not be
written explicitly. It can be used directly, but it is intended to be invoked
from the import method of a Modern::Perl-style module that enables modern Perl
features and conveniences and cleans up legacy Perl warts.

%prep
%setup -q -n true-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE.md
%doc Changes README
%{perl_vendorarch}/auto/true/
%{perl_vendorarch}/true.pm
%{perl_vendorarch}/true/
%{_mandir}/man3/true.3*
%{_mandir}/man3/true::VERSION.3*

%changelog
* Mon Jun  5 2023 Paul Howarth <paul@city-fan.org> - 1.0.2-8
- Use SPDX-format license tag
- Drop support for building with EOL distributions prior to EL-7

* Fri Jun  3 2022 Paul Howarth <paul@city-fan.org> - 1.0.2-6
- Perl 5.36 rebuild

* Mon May 24 2021 Paul Howarth <paul@city-fan.org> - 1.0.2-3
- Perl 5.34 rebuild

* Wed Nov 11 2020 Paul Howarth <paul@city-fan.org> - 1.0.2-1
- Update to 1.0.2
  - Code clean-up
  - Update ppport.h from 3.44 → 3.62

* Mon Jun 29 2020 Paul Howarth <paul@city-fan.org> - 1.0.1-5
- Perl 5.32 rebuild

* Tue Mar 12 2019 Paul Howarth <paul@city-fan.org> - 1.0.1-1
- Update to 1.0.1
  - Fix breakage when using Moo/Moose and Function::Parameters on perl < 5.24
    (CPAN RT#124745)
  - Add t/rt-124745.t
  - Update ppport.h from 3.19 → 3.44
- License changed from (GPL+ or Artistic) to Artistic 2.0

* Thu Jun 28 2018 Paul Howarth <paul@city-fan.org> - 0.18-17
- Perl 5.28 rebuild

* Fri Aug  4 2017 Paul Howarth <paul@city-fan.org> - 0.18-14
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Sun Jun  4 2017 Paul Howarth <paul@city-fan.org> - 0.18-12
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - BR: perl-devel unconditionally

* Wed May 18 2016 Paul Howarth <paul@city-fan.org> - 0.18-10
- BR: perl-devel and perl-generators where available
- Simplify find commands using -empty and -delete

* Fri Aug 29 2014 Paul Howarth <paul@city-fan.org> - 0.18-5
- Drop %%defattr, redundant since rpm 4.4

* Fri Aug 16 2013 Paul Howarth <paul@city-fan.org> - 0.18-1
- Initial RPM version
